GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_spline
GTX Extensions (Experimental)

## Functions
template<typename genType >
GLM_FUNC_DECL genType | catmullRom (genType const &v1, genType const &v2, genType const &v3, genType const &v4, typename genType::value_type const &s)
template<typename genType >
GLM_FUNC_DECL genType | cubic (genType const &v1, genType const &v2, genType const &v3, genType const &v4, typename genType::value_type const &s)
template<typename genType >
GLM_FUNC_DECL genType | hermite (genType const &v1, genType const &t1, genType const &v2, genType const &t2, typename genType::value_type const &s)

## Detailed Description

Spline functions.

<glm/gtx/spline.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::catmullRom | ( | genType const & | v1,
|  | genType const & | v2,
|  | genType const & | v3,
|  | genType const & | v4,
|  | typename genType::value_type const & | s
| ) |  |

Return a point from a catmull rom curve.

See Also
  GLM_GTX_spline extension.

GLM_FUNC_DECL genType glm::cubic | ( | genType const & | v1,
|  | genType const & | v2,
|  | genType const & | v3,
|  | genType const & | v4,
|  | typename genType::value_type const & | s
| ) |  |

Return a point from a cubic curve.

See Also
  GLM_GTX_spline extension.

GLM_FUNC_DECL genType glm::hermite | ( | genType const & | v1,
|  | genType const & | t1,
|  | genType const & | v2,
|  | genType const & | t2,
|  | typename genType::value_type const & | s
| ) |  |

Return a point from a hermite curve.

See Also
  GLM_GTX_spline extension.